#include <tads.h>

/*
 * An XTads test game.
 * Focus is on abs sized text banners.
 */
main(args)
{
	local b0 = nil;
    
    "A banner test game for XTads.\b\b";

    local b1 = bannerCreate(b0, BannerFirst, nil, BannerTypeText, BannerAlignLeft,
                       10, BannerSizeAbsolute,
                       0);
    bannerSay(b1, 'b1 (child of b0) is a vertical text banner, abs width 10, left of its parent.\n0000000000\n1234567890\nopp'); //OOOOOOOOOO\nBBBBBBBBBB');
    "Press a key to continue...\n";
    inputKey();

    "\bPress another key to exit...\n";
    inputKey();
}

showBannerInfo(win)
{
    local info = bannerGetInfo(win);

    "align = <<info[1]>>, style = <<toString(info[2], 16)>>,
    rows = <<info[3]>>, columns = <<info[4]>>, pixel height = <<info[5]>>,
    pixel width = <<info[6]>>";
}
